## python-configshell-fb 1.1.20

=== Makefile ===
PKGNAME = configshell-fb
NAME = configshell
GIT_BRANCH = $$(git branch | grep \* | tr -d \*)
VERSION = $$(basename $$(git describe --tags | tr - . | sed 's/^v//'))

all:
	@echo "Usage:"
	@echo
	@echo "  make deb         - Builds debian packages."
	@echo "  make rpm         - Builds rpm packages."
	@echo "  make release     - Generates the release tarball."
	@echo
	@echo "  make clean       - Cleanup the local repository build files."
	@echo "  make cleanall    - Also remove dist/*"

clean:
	@rm -fv ${NAME}/*.pyc ${NAME}/*.html
	@rm -frv doc
	@rm -frv ${NAME}.egg-info MANIFEST build
	@rm -frv debian/tmp
	@rm -fv build-stamp
	@rm -fv dpkg-buildpackage.log dpkg-buildpackage.version
	@rm -frv *.rpm
	@rm -fv debian/files debian/*.log debian/*.substvars
	@rm -frv debian/${PKGNAME}-doc/ debian/python2.5-${PKGNAME}/
	@rm -frv debian/python2.6-${PKGNAME}/ debian/python-${PKGNAME}/
	@rm -frv results
	@rm -fv rpm/*.spec *.spec rpm/sed* sed*
	@rm -frv ${PKGNAME}-*
	@echo "Finished cleanup."

cleanall: clean
	@rm -frv dist

release: build/release-stamp
build/release-stamp:
	@mkdir -p build
	@echo "Exporting the repository files..."
	@git archive ${GIT_BRANCH} --prefix ${PKGNAME}-${VERSION}/ \
		| (cd build; tar xfp -)
	@echo "Cleaning up the target tree..."
	@rm -f build/${PKGNAME}-${VERSION}/Makefile
	@rm -f build/${PKGNAME}-${VERSION}/.gitignore
	@echo "Fixing version string..."
	@sed -i "s/__version__ = .*/__version__ = '${VERSION}'/g" \
		build/${PKGNAME}-${VERSION}/${NAME}/__init__.py
	@echo "Generating rpm specfile from template..."
	@cd build/${PKGNAME}-${VERSION}; \
		for spectmpl in rpm/*.spec.tmpl; do \
			sed -i "s/Version:\( *\).*/Version:\1${VERSION}/g" $${spectmpl}; \
			mv $${spectmpl} $$(basename $${spectmpl} .tmpl); \
		done; \
		rm -r rpm
	@echo "Generating rpm changelog..."
	@( \
		version=${VERSION}; \
		author=$$(git show HEAD --format="format:%an <%ae>" -s); \
		date=$$(git show HEAD --format="format:%ad" -s \
			| awk '{print $$1,$$2,$$3,$$5}'); \
		hash=$$(git show HEAD --format="format:%H" -s); \
	   	echo '* '"$${date} $${author} $${version}-1"; \
		echo "  - Generated from git commit $${hash}."; \
	) >> $$(ls build/${PKGNAME}-${VERSION}/*.spec)
	@echo "Generating debian changelog..."
	@( \
		version=${VERSION}; \
		author=$$(git show HEAD --format="format:%an <%ae>" -s); \
		date=$$(git show HEAD --format="format:%aD" -s); \
		day=$$(git show HEAD --format='format:%ai' -s \
			| awk '{print $$1}' \
			| awk -F '-' '{print $$3}' | sed 's/^0/ /g'); \
		date=$$(echo $${date} \
			| awk '{print $$1, "'"$${day}"'", $$3, $$4, $$5, $$6}'); \
		hash=$$(git show HEAD --format="format:%H" -s); \
	   	echo "${PKGNAME} ($${version}) unstable; urgency=low"; \
		echo; \
		echo "  * Generated from git commit $${hash}."; \
		echo; \
		echo " -- $${author}  $${date}"; \
		echo; \
	) > build/${PKGNAME}-${VERSION}/debian/changelog
	@find build/${PKGNAME}-${VERSION}/ -exec \
		touch -t $$(date -d @$$(git show -s --format="format:%at") \
			+"%Y%m%d%H%M.%S") {} \;
	@mkdir -p dist
	@cd build; tar -c --owner=0 --group=0 --numeric-owner \
		--format=gnu -b20 --quoting-style=escape \
		-f ../dist/${PKGNAME}-${VERSION}.tar \
		$$(find ${PKGNAME}-${VERSION} -type f | sort)
	@gzip -6 -n dist/${PKGNAME}-${VERSION}.tar
	@echo "Generated release tarball:"
	@echo "    $$(ls dist/${PKGNAME}-${VERSION}.tar.gz)"
	@touch build/release-stamp

deb: release build/deb-stamp
build/deb-stamp:
	@echo "Building debian packages..."
	@cd build/${PKGNAME}-${VERSION}; \
		dpkg-buildpackage -rfakeroot -us -uc
	@mv build/*_${VERSION}_*.deb dist/
	@echo "Generated debian packages:"
	@for pkg in $$(ls dist/*_${VERSION}_*.deb); do echo "  $${pkg}"; done
	@touch build/deb-stamp

rpm: release build/rpm-stamp
build/rpm-stamp:
	@echo "Building rpm packages..."
	@mkdir -p build/rpm
	@build=$$(pwd)/build/rpm; dist=$$(pwd)/dist/; rpmbuild \
		--define "_topdir $${build}" --define "_sourcedir $${dist}" \
		--define "_rpmdir $${build}" --define "_buildir $${build}" \
		--define "_srcrpmdir $${build}" -ba build/${PKGNAME}-${VERSION}/*.spec
	@mv build/rpm/*-${VERSION}*.src.rpm dist/
	@mv build/rpm/*/*-${VERSION}*.rpm dist/
	@echo "Generated rpm packages:"
	@for pkg in $$(ls dist/*-${VERSION}*.rpm); do echo "  $${pkg}"; done
	@touch build/rpm-stamp

=== debian/changelog ===
python-configshell-fb (1.1.20-1) unstable; urgency=medium

  [ Christophe Vu-Brugier ]
  * Initial release. (Closes: #838861)

 -- Christophe Vu-Brugier <cvubrugier@fastmail.fm>  Thu, 22 Sep 2016 22:29:14 +0200

=== debian/control ===
Source: python-configshell-fb
Section: python
Priority: optional
Maintainer: Debian LIO Target Packagers <linux-target-packaging@lists.alioth.debian.org>
Uploaders: Christophe Vu-Brugier <cvubrugier@fastmail.fm>,
           Ritesh Raj Sarraf <rrs@debian.org>,
           Christian Seiler <christian@iwakd.de>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-epydoc,
               python-pyparsing,
               python-setuptools,
               python-six,
               python3-all,
               python3-pyparsing,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.8
Homepage: https://github.com/open-iscsi/configshell-fb
Vcs-Git: https://anonscm.debian.org/git/linux-target/python-configshell-fb.git -b debian/master
Vcs-Browser: https://anonscm.debian.org/cgit/linux-target/python-configshell-fb.git

Package: python-configshell-fb
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-pyparsing,
         python-six,
         python-urwid,
Suggests: python-configshell-fb-doc
Conflicts: python-configshell
Description: Python library for building configuration shells - Python 2
 The configshell-fb package is a Python library that provides a
 framework for building simple but nice CLI-based applications.
 .
 The configshell-fb package is a fork of the "configshell" code
 written by RisingTide Systems. The "-fb" differentiates between the
 original and this version. Please ensure to use either all "fb"
 versions of the targetcli components -- targetcli, rtslib, and
 configshell, or stick with all non-fb versions, since they are no
 longer strictly compatible.
 .
 This package contains the Python 2 module.

Package: python3-configshell-fb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pyparsing,
         python3-six,
         python3-urwid,
Suggests: python-configshell-fb-doc
Description: Python library for building configuration shells - Python 3
 The configshell-fb package is a Python library that provides a
 framework for building simple but nice CLI-based applications.
 .
 The configshell-fb package is a fork of the "configshell" code
 written by RisingTide Systems. The "-fb" differentiates between the
 original and this version. Please ensure to use either all "fb"
 versions of the targetcli components -- targetcli, rtslib, and
 configshell, or stick with all non-fb versions, since they are no
 longer strictly compatible.
 .
 This package contains the Python 3 module.

Package: python-configshell-fb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Python library for building configuration shells - doc
 The configshell-fb package is a Python library that provides a
 framework for building simple but nice CLI-based applications.
 .
 The configshell-fb package is a fork of the "configshell" code
 written by RisingTide Systems. The "-fb" differentiates between the
 original and this version. Please ensure to use either all "fb"
 versions of the targetcli components -- targetcli, rtslib, and
 configshell, or stick with all non-fb versions, since they are no
 longer strictly compatible.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,python2 -Spybuild


override_dh_installdocs:
	mkdir -p build
	mkdir -p $(CURDIR)/debian/python-configshell-fb-doc/usr/share/doc/python-configshell-fb-doc/html
	cd build; epydoc --no-sourcecode --html -n configshell-fb \
		--exclude configobj ../configshell/*.py \
		--output $(CURDIR)/debian/python-configshell-fb-doc/usr/share/doc/python-configshell-fb-doc/html
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

=== debian/watch ===
version=4
opts="uversionmangle=s/fb//" \
https://fedorahosted.org/releases/t/a/targetcli-fb/ configshell-fb-([\d]+\.[\d]+\.fb[\d]+)\.tar\.gz

## python-configshell-fb 1.1.24

=== debian/changelog ===
python-configshell-fb (1.1.24-1) unstable; urgency=medium

  * d/control: upgrade debhelper compatibility level to 11
  * d/control: update standards version to 4.2.1
  * d/patches: remove patches already merged upstream
  * New upstream version

 -- Christophe Vu-Brugier <cvubrugier@fastmail.fm>  Sun, 26 Aug 2018 15:51:38 +0200

python-configshell-fb (1.1.20-2) unstable; urgency=medium

  [ Christophe Vu-Brugier ]
  * d/watch: fix the watch file to download from GitHub
  * d/watch: remove "fb" from the version number
  * d/control: Set Vcs-Git and Vcs-Browser to salsa.debian.org
  * d/control: update maintainer email address
  * d/patches: apply upstream patches to fix a "readline not defined"
    bug (Closes: #901484)

  [ Ritesh Raj Sarraf ]
  * Set maintainer email address to the tracker one (Closes: #899672)

 -- Christophe Vu-Brugier <cvubrugier@fastmail.fm>  Thu, 14 Jun 2018 19:31:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-configshell-fb
 Section: python
 Priority: optional
-Maintainer: Debian LIO Target Packagers <linux-target-packaging@lists.alioth.debian.org>
+Maintainer: Linux Block Storage Team <team+linux-blocks@tracker.debian.org>
 Uploaders: Christophe Vu-Brugier <cvubrugier@fastmail.fm>,
            Ritesh Raj Sarraf <rrs@debian.org>,
            Christian Seiler <christian@iwakd.de>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all,
                python-epydoc,
@@ -16,10 +16,10 @@
                python3-pyparsing,
                python3-setuptools,
                python3-six
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://github.com/open-iscsi/configshell-fb
-Vcs-Git: https://anonscm.debian.org/git/linux-target/python-configshell-fb.git -b debian/master
-Vcs-Browser: https://anonscm.debian.org/cgit/linux-target/python-configshell-fb.git
+Vcs-Git: https://salsa.debian.org/linux-blocks-team/python-configshell-fb.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/python-configshell-fb
 
 Package: python-configshell-fb
 Architecture: all
@@ -67,6 +67,7 @@
 Package: python-configshell-fb-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Python library for building configuration shells - doc
  The configshell-fb package is a Python library that provides a

=== debian/watch ===
version=4
opts=uversionmangle=s/fb//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/configshell-fb-$1\.tar\.gz/ \
  https://github.com/open-iscsi/configshell-fb/releases .*/v?(\d\S+)\.tar\.gz

## python-configshell-fb 1.1.27

=== debian/changelog ===
python-configshell-fb (1:1.1.27-0ubuntu1) focal; urgency=medium

  * New upstream release, bump epoch for drop of fb versioning.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Feb 2020 13:35:27 +0000

python-configshell-fb (1.1.fb25-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937660

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Dec 2019 22:07:08 -0500

python-configshell-fb (1.1.fb25-1) unstable; urgency=medium

  * New upstream version 1.1.fb25
  * Drop build dependency on epydoc (Closes: #881554)
  * Drop the python-configshell-fb-doc package

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 02 Aug 2019 17:49:14 +0530

=== debian/control ===
Source: python-configshell-fb
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Linux Block Storage Team <team+linux-blocks@tracker.debian.org>
Uploaders: Christophe Vu-Brugier <cvubrugier@fastmail.fm>,
           Ritesh Raj Sarraf <rrs@debian.org>,
           Christian Seiler <christian@iwakd.de>
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-pyparsing,
               python3-setuptools,
               python3-six
Standards-Version: 4.2.1
Homepage: https://github.com/open-iscsi/configshell-fb
Vcs-Git: https://salsa.debian.org/linux-blocks-team/python-configshell-fb.git
Vcs-Browser: https://salsa.debian.org/linux-blocks-team/python-configshell-fb

Package: python3-configshell-fb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pyparsing,
         python3-six,
         python3-urwid,
Description: Python library for building configuration shells - Python 3
 The configshell-fb package is a Python library that provides a
 framework for building simple but nice CLI-based applications.
 .
 The configshell-fb package is a fork of the "configshell" code
 written by RisingTide Systems. The "-fb" differentiates between the
 original and this version. Please ensure to use either all "fb"
 versions of the targetcli components -- targetcli, rtslib, and
 configshell, or stick with all non-fb versions, since they are no
 longer strictly compatible.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## python-configshell-fb 1.1.28

=== debian/changelog ===
python-configshell-fb (1:1.1.28-2) unstable; urgency=medium

  * d/t/control: Remove "Tests" header.  Use "@" as "Depends".
  * d/control: Bump Standards-Version to 4.5.1.
  * d/control: Use debhelper-compat 13.
    d/compat: Remove file.
  * d/rules: Don't install the COPYING license file.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 22 Jan 2021 19:31:23 -0500

python-configshell-fb (1:1.1.28-1) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * New upstream version 1.1.28
  * No more "fb" in versioning: requires epoch bump
  * d/rules: Adjust rules for build, install, examples and docs
  * d/control: Remove python2 support because lack of dependencies
  * Add basic DEP8 coverage

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 22 Jan 2021 21:01:42 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: python-configshell-fb
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Linux Block Storage Team <team+linux-blocks@tracker.debian.org>
+Maintainer: Linux Block Storage Team <team+linux-blocks@tracker.debian.org>
 Uploaders: Christophe Vu-Brugier <cvubrugier@fastmail.fm>,
            Ritesh Raj Sarraf <rrs@debian.org>,
            Christian Seiler <christian@iwakd.de>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-pyparsing,
                python3-setuptools,
                python3-six
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/open-iscsi/configshell-fb
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/python-configshell-fb.git
 Vcs-Browser: https://salsa.debian.org/linux-blocks-team/python-configshell-fb

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	pybuild --configure
	pybuild --build

override_dh_auto_install:
	pybuild --install

override_dh_auto_clean:
	rm -rf .pybuild/
	rm -rf build/
	rm -rf *.egg-info/

override_dh_installdocs:
	dh_installdocs README.md

override_dh_installexamples:
	dh_installexamples examples/myshell

=== debian/watch ===
version=4
opts=uversionmangle=s/fb//,dversionmangle=s/fb//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/configshell-fb-$1\.tar\.gz/ \
 https://github.com/open-iscsi/configshell-fb/releases .*/v?(\d\S+)\.tar\.gz

## python-configshell-fb 1.1.fb25

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,43 @@
 Uploaders: Christophe Vu-Brugier <cvubrugier@fastmail.fm>,
            Ritesh Raj Sarraf <rrs@debian.org>,
            Christian Seiler <christian@iwakd.de>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 11~),
                dh-python,
+               python-all,
+               python-pyparsing,
+               python-setuptools,
+               python-six,
                python3-all,
                python3-pyparsing,
                python3-setuptools,
                python3-six
-Standards-Version: 4.5.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/open-iscsi/configshell-fb
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/python-configshell-fb.git
 Vcs-Browser: https://salsa.debian.org/linux-blocks-team/python-configshell-fb
+
+Package: python-configshell-fb
+Architecture: all
+Depends: ${misc:Depends},
+         ${python:Depends},
+         python-pyparsing,
+         python-six,
+         python-urwid,
+Conflicts: python-configshell
+Breaks: python-configshell-fb-doc (<= 1.1.24-1~)
+Replaces: python-configshell-fb-doc (<= 1.1.24-1~)
+Description: Python library for building configuration shells - Python 2
+ The configshell-fb package is a Python library that provides a
+ framework for building simple but nice CLI-based applications.
+ .
+ The configshell-fb package is a fork of the "configshell" code
+ written by RisingTide Systems. The "-fb" differentiates between the
+ original and this version. Please ensure to use either all "fb"
+ versions of the targetcli components -- targetcli, rtslib, and
+ configshell, or stick with all non-fb versions, since they are no
+ longer strictly compatible.
+ .
+ This package contains the Python 2 module.
 
 Package: python3-configshell-fb
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,python2 -Spybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## python-configshell-fb 2.0.0

=== debian/changelog ===
python-configshell-fb (1:2.0.0-2) unstable; urgency=high

  * Fix path not being expanded (Closes: 1104106)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 12 May 2025 12:31:43 +0530

python-configshell-fb (1:2.0.0-1) unstable; urgency=medium

  * Team upload
  * Use PyPI as source for upstream tarballs
  * New upstream version 2.0.0 (Closes: #1057841, #1087405)
  * Drop now unnecessary patches

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 29 Dec 2024 02:16:44 +0100

python-configshell-fb (1:1.1.28-2.1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Non-maintainer upload.
  * Add upstream patches to fix test failure with python3.11.
    (Closes: #1028996)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Jan 2023 21:29:09 +0100

=== debian/control ===
Source: python-configshell-fb
Section: python
Priority: optional
Maintainer: Linux Block Storage Team <team+linux-blocks@tracker.debian.org>
Uploaders:
 Christophe Vu-Brugier <cvubrugier@fastmail.fm>,
 Ritesh Raj Sarraf <rrs@debian.org>,
 Christian Seiler <christian@iwakd.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatch-vcs,
 python3-hatchling,
 python3-pyparsing,
Standards-Version: 4.5.1
Homepage: https://github.com/open-iscsi/configshell-fb
Vcs-Git: https://salsa.debian.org/linux-blocks-team/python-configshell-fb.git
Vcs-Browser: https://salsa.debian.org/linux-blocks-team/python-configshell-fb

Package: python3-configshell-fb
Architecture: all
Depends:
 python3-pyparsing,
 ${misc:Depends},
 ${python3:Depends},
Description: Python library for building configuration shells - Python 3
 The configshell-fb package is a Python library that provides a
 framework for building simple but nice CLI-based applications.
 .
 The configshell-fb package is a fork of the "configshell" code
 written by RisingTide Systems. The "-fb" differentiates between the
 original and this version. Please ensure to use either all "fb"
 versions of the targetcli components -- targetcli, rtslib, and
 configshell, or stick with all non-fb versions, since they are no
 longer strictly compatible.
 .
 This package contains the Python 3 module.

=== debian/tests/control ===
Test-Command: printf "cd /system/\nhelp\nexit\n" | python3 examples/myshell | grep lscpu
Restrictions: allow-stderr
Depends: @

Test-Command: printf "cd /system/storage/\nhelp\nexit\n" | python3 examples/myshell | grep lsscsi
Restrictions: allow-stderr
Depends: @

=== debian/watch ===
version=4
https://pypi.debian.net/configshell-fb/configshell_fb-(.+)\.(?:tar\.(?:gz|bz2|xz))
